;================================================================================
;
;W65C816S NATIVE MODE STATUS REGISTER DEFINITIONS
;
s_mpudbx =s_byte               ;data bank size
s_mpudpx =s_word               ;direct page size
s_mpupbx =s_byte               ;program bank size
s_mpupcx =s_word               ;program counter size
s_mpuspx =s_word               ;stack pointer size
s_mpusrx =s_byte               ;status size
;
;
;	status register flags...
;
sr_car   =@00000001            ;C
sr_zer   =sr_car << 1          ;Z
sr_irq   =sr_zer << 1          ;I
sr_bdm   =sr_irq << 1          ;D
sr_ixw   =sr_bdm << 1          ;x
sr_amw   =sr_ixw << 1          ;m
sr_ovl   =sr_amw << 1          ;V
sr_neg   =sr_ovl << 1          ;N
;
;	NVmxDIZC
;	xxxxxxxx
;	||||||||
;	|||||||+> 1 = carry set/generated
;	||||||+> 1 = result = zero
;	|||||+> 1 = IRQ disabled
;	||||+> 0 = binary arithmetic mode
;	||||         1 = decimal arithmetic mode
;	|||+> 0 = 16 bit index
;	|||          1 = 8 bit index
;	||+> 0 = 16 bit .A & memory
;	||           1 = 8 bit .A & memory
;	|+> 1 = sign overflow
;	+> 1 = result = negative
;
;
;	inverted status register flags...
;
sr_zer_i =sr_zer ^ @11111111   ;Z
sr_car_i =sr_car ^ @11111111   ;C
sr_irq_i =sr_irq ^ @11111111   ;I
sr_bdm_i =sr_bdm ^ @11111111   ;D
sr_ixw_i =sr_ixw ^ @11111111   ;x
sr_amw_i =sr_amw ^ @11111111   ;m
sr_ovl_i =sr_ovl ^ @11111111   ;V
sr_neg_i =sr_neg ^ @11111111   ;N
;
	.end
