;================================================================================
;
;NXP 26C92 CONFIGURATION & CONTROL CONSTANTS
;
;	
;	The following constants are used to configure the 26C92 following reset
;	or during run time.  See the file CONFIG_TABLE.ASM for the use of these
;	constants.  The file CONFIG_LOOP.ASM contains the code that reads the
;	table & loads the 26C92's registers.
;
;	!!! WARNING !!!
;
;	Changing some of these constants may cause a complete loss of operation.
;	Be sure to read the data sheet so you understand exactly what each cons-
;	tant does to the 26C92.  Also note that these constants are not applic-
;	able to the 2692, which device lacks TxD FIFOs & extended baud rate mode
;	two.
;	
;
;
;	ACR  auxiliary control register
;
u92arbrt =@00110000            ;select BRT 1, C/T clock = X1
;
;
;	CR  command register...
;
u92crrsa =@10000000            ;assert request to send (RTS)
u92crrsd =@10010000            ;deassert RTS
u92crtmd =@11000000            ;disable counter/timer timeout mode
u92crpdd =@11110000            ;disable power-down mode  CRA only
u92crrxd =@00000010            ;disable receiver
u92crrtd =@00001010            ;disable receiver & transmitter
u92crtxd =@00001000            ;disable transmitter
u92crtme =@10100000            ;enable counter/timer timeout mode
u92crpde =@11100000            ;enable power-down mode  CRA only
u92crrxe =@00000001            ;enable receiver
u92crrte =@00000101            ;enable receiver & transmitter
u92crtxe =@00000100            ;enable transmitter
u92cresr =@01000000            ;reset error status
u92crbir =@01010000            ;reset received break change IRQ
u92crrxr =@00100000            ;reset receiver
u92crtxr =@00110000            ;reset transmitter
u92crmr0 =@10110000            ;select mode register 0
u92crmr1 =@00010000            ;select mode register 1
u92crbks =@01100000            ;start break
u92crbke =@01110000            ;stop break
;
;
;	CSR  clock select register...
;
u92csbra =@01100110            ;ch A speed: 115.2 Kbps
u92csbrb =@01100110            ;ch B speed: 115.2 Kbps
;
;
;	IMR  interrupt mask register...
;
u92imdef =u92iqmsk             ;enable all RxD & TxD IRQs
;
;
;	MR0  mode 0 register...
;
u92m0ads =@10000100            ;ch A ext baud rate mode 2
u92m0bds =@10000000            ;defaults (MR0B only)
;
;
;	MR1  mode 1 register...
;
u92m1def =@10010011            ;8N1 format, auto CTS
;
;
;	MR2  mode 2 register...
;
u92m2def =@00010111            ;normal mode, auto RTS
;
;
;	OPCR  output port configuration register...
;
u92opdef =@00000000            ;no operation
;
	.end
