;================================================================================
;
;NXP 26C92 INITIALIZATION DATA
;
;	
;	This data table must be read during reset to set up the 26C92 for oper-
;	ation.  Each entry in this table consists of a chip register offset that
;	has been paired with the parameter that is to be loaded into the regis-
;	ter.  This arrangement is possible because of the 65C816's ability to
;	load 16 bit data into the accumulator & then subsequently treat the data
;	as two 8 bit values.  The code in the file CONFIG_LOOP.ASM does the act-
;	ual setup.
;
;	The setup parameters are defined in the file CONFIG_CONSTANTS.ASM.  See
;	comments in that file for additional details.  If you want to change a
;	parameter, do it in CONFIG_CONSTANTS.ASM, not in here.
;
;	Use caution if you decide to edit this table, as changing the order in
;	which parameters are loaded may cause the 26C92 to malfunction.  Table
;	entries are read in reverse order during device setup.
;	
;
;                Reg     Value
;              
d92tab   .byte dr_imr, u92imdef ;IMR : enable IRQ sources
         .byte dr_crb, u92crtxe ;CRB : enable transmitter
         .byte dr_cra, u92crrsa ;CRA : assert RTS
         .byte dr_cra, u92crrte ;CRA : enable receiver & transmitter
         .byte dr_csrb,u92csbrb ;CSRB: set ch B data rate
         .byte dr_csra,u92csbra ;CSRA: set ch A data rate
         .byte dr_mrb, u92m2def ;MR2B: write setup value
         .byte dr_mrb, u92m1def ;MR1B: write setup value
         .byte dr_mra, u92m2def ;MR2A: write setup value
         .byte dr_mra, u92m1def ;MR1A: write setup value
         .byte dr_crb, u92crmr1 ;CRB : select mode register 1
         .byte dr_cra, u92crmr1 ;CRA : select mode register 1
         .byte dr_mrb, u92m0bds ;MR0B: write setup value
         .byte dr_mra, u92m0ads ;MR0A: write setup value
         .byte dr_crb, u92crmr0 ;CRB : select mode register 0
         .byte dr_cra, u92crmr0 ;CRA : select mode register 0
         .byte dr_acr, u92arbrt ;ACR : write setup value
         .byte dr_opcr,u92opdef ;OPCR: write setup value
         .byte dr_crb, u92crtmd ;CRB : disable C/T timeout mode
         .byte dr_cra, u92crtmd ;CRA : disable C/T timeout mode
         .byte dr_crb, u92cresr ;CRB : reset ch B error status
         .byte dr_cra, u92cresr ;CRA : reset ch A error status
         .byte dr_crb, u92crbir ;CRB : reset ch B break change IRQ
         .byte dr_cra, u92crbir ;CRA : reset ch A break change IRQ
         .byte dr_crb, u92crtxr ;CRB : reset ch B transmitter
         .byte dr_cra, u92crtxr ;CRA : reset ch A transmitter
         .byte dr_crb, u92crrxr ;CRB : reset ch B receiver
         .byte dr_cra, u92crrxr ;CRA : reset ch A receiver
         .byte dr_imr, $00      ;IMR : disable all IRQs
         .byte dr_crb, u92crrsd ;CRB : deassert RTS
         .byte dr_cra, u92crrsd ;CRA : deassert RTS
         .byte dr_cra, u92crpdd ;CRA : disable power-down mode
s_d92tab =*-d92tab              ;computed table size
;
	.end
