;================================================================================
;
;26C92 CHANNEL STATUS ANALYSIS MASKS
;
u92break =@10000000            ;RxD: break
u92frmer =@01000000            ;RxD: framing error
u92rxdf  =@00000010            ;RxD: FIFO full
u92rxdr  =@00000001            ;RxD: FIFO has data
u92rxdor =@00010000            ;RxD: FIFO overrun
u92parer =@00100000            ;RxD: parity error
u92txdr  =@00000100            ;TxD: FIFO has space
u92txdur =@00001000            ;TxD: FIFO empty
;
;================================================================================
;
;26C92 INTERRUPT STATUS ANALYSIS MASKS
;
u92arirq =@00000010            ;A: RxD interrupt
u92atirq =@00000001            ;A: TxD interrupt
u92brirq =@00100000            ;B: RxD interrupt
u92btirq =@00010000            ;B: TxD interrupt
;
u92iqmsk =u92arirq|u92atirq|u92brirq|u92btirq ;enable IRQ sources
;
;=================================================================================
;
;26C92 MISCELLANEOUS MASKS
;
e32txsta =@10000000            ;ch A TxD status bit
e32txstb =@01000000            ;ch B TxD status bit
e32xmask =s_e32buf ^ $ff       ;buffer index wrap mask...
;
;	
;	This mask determines when to wrap I/O buffer indices back to zero.  Its
;	value must be commensurate with the actual buffer size defined by the
;	S_E32BUF constant.  It's probably best to let the assembler calculate
;	its value.  See comments in the file BUFFERS.ASM for more information.
;	
;
	.end
